io.undertow.websockets.client

## Class WebSocketClient.ConnectionBuilder

- java.lang.Object
- - io.undertow.websockets.client.WebSocketClient.ConnectionBuilder

Enclosing class:
  WebSocketClient

    public static class WebSocketClient.ConnectionBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConnectionBuilder(org.xnio.XnioWorker worker, ByteBufferPool bufferPool, URI uri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.xnio.IoFuture<WebSocketChannel>` `connect()`
`InetSocketAddress` `getBindAddress()`
`ByteBufferPool` `getBufferPool()`
`Set<ExtensionHandshake>` `getClientExtensions()`
`WebSocketClientNegotiation` `getClientNegotiation()`
`org.xnio.OptionMap` `getOptionMap()`
`org.xnio.ssl.XnioSsl` `getProxySsl()`
`URI` `getProxyUri()`
`org.xnio.ssl.XnioSsl` `getSsl()`
`URI` `getUri()`
`WebSocketVersion` `getVersion()`
`org.xnio.XnioWorker` `getWorker()`
`WebSocketClient.ConnectionBuilder` `setBindAddress(InetSocketAddress bindAddress)`
`WebSocketClient.ConnectionBuilder` `setClientExtensions(Set<ExtensionHandshake> clientExtensions)`
`WebSocketClient.ConnectionBuilder` `setClientNegotiation(WebSocketClientNegotiation clientNegotiation)`
`WebSocketClient.ConnectionBuilder` `setOptionMap(org.xnio.OptionMap optionMap)`
`WebSocketClient.ConnectionBuilder` `setProxySsl(org.xnio.ssl.XnioSsl proxySsl)`
`WebSocketClient.ConnectionBuilder` `setProxyUri(URI proxyUri)`
`WebSocketClient.ConnectionBuilder` `setSsl(org.xnio.ssl.XnioSsl ssl)`
`WebSocketClient.ConnectionBuilder` `setVersion(WebSocketVersion version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionBuilder

    public ConnectionBuilder(org.xnio.XnioWorker worker,
                             ByteBufferPool bufferPool,
                             URI uri)

### Method Detail

#### getWorker

    public org.xnio.XnioWorker getWorker()

#### getUri

    public URI getUri()

#### getSsl

    public org.xnio.ssl.XnioSsl getSsl()

#### setSsl

    public WebSocketClient.ConnectionBuilder setSsl(org.xnio.ssl.XnioSsl ssl)

#### getBufferPool

    public ByteBufferPool getBufferPool()

#### getOptionMap

    public org.xnio.OptionMap getOptionMap()

#### setOptionMap

    public WebSocketClient.ConnectionBuilder setOptionMap(org.xnio.OptionMap optionMap)

#### getBindAddress

    public InetSocketAddress getBindAddress()

#### setBindAddress

    public WebSocketClient.ConnectionBuilder setBindAddress(InetSocketAddress bindAddress)

#### getVersion

    public WebSocketVersion getVersion()

#### setVersion

    public WebSocketClient.ConnectionBuilder setVersion(WebSocketVersion version)

#### getClientNegotiation

    public WebSocketClientNegotiation getClientNegotiation()

#### setClientNegotiation

    public WebSocketClient.ConnectionBuilder setClientNegotiation(WebSocketClientNegotiation clientNegotiation)

#### getClientExtensions

    public Set<ExtensionHandshake> getClientExtensions()

#### setClientExtensions

    public WebSocketClient.ConnectionBuilder setClientExtensions(Set<ExtensionHandshake> clientExtensions)

#### getProxyUri

    public URI getProxyUri()

#### setProxyUri

    public WebSocketClient.ConnectionBuilder setProxyUri(URI proxyUri)

#### getProxySsl

    public org.xnio.ssl.XnioSsl getProxySsl()

#### setProxySsl

    public WebSocketClient.ConnectionBuilder setProxySsl(org.xnio.ssl.XnioSsl proxySsl)

#### connect

    public org.xnio.IoFuture<WebSocketChannel> connect()